summarylogtreecommitdiffstats
path: root/live-plus-plus.sh
diff options
context:
space:
mode:
authorzxp198210052024-01-04 12:46:07 +0800
committerzxp198210052024-01-04 12:46:07 +0800
commit0c6bdc9378f83437d78bf505aa294e877a54c33a (patch)
treeaf2f2484103a36c79a155890d08536439022fcaa /live-plus-plus.sh
parent91c4d048133cc756914cbbd4257e8325f09a894c (diff)
downloadaur-0c6bdc9378f83437d78bf505aa294e877a54c33a.tar.gz
fix errors
Diffstat (limited to 'live-plus-plus.sh')
-rw-r--r--live-plus-plus.sh22
1 files changed, 14 insertions, 8 deletions
diff --git a/live-plus-plus.sh b/live-plus-plus.sh
index 9a9ce2f3da60..c77c53567639 100644
--- a/live-plus-plus.sh
+++ b/live-plus-plus.sh
@@ -1,11 +1,17 @@
-#!/bin/bash
-_ELECTRON=/usr/bin/electron24
-APPDIR=/usr/lib/live-plus-plus
-export PATH="${APPDIR}:${PATH}"
-export LD_LIBRARY_PATH="${APPDIR}/lib:${LD_LIBRARY_PATH}"
-_ASAR="${APPDIR}/app.asar"
+#!/bin/sh
+set -e
+_APPDIR="/usr/lib/@appname@"
+_ASAR="${_APPDIR}/@appasar@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export ELECTRON_IS_DEV=0
+export NODE_ENV=production
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec ${_ELECTRON} ${_ASAR} "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" "$@"
+ exit
else
- exec ${_ELECTRON} ${_ASAR} --no-sandbox "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
+ exit
fi \ No newline at end of file